none
WSUS Report Personnaliser RRS feed

Toutes les réponses

  • Hello Nabil-It,

    Parfois les docs sont compliquées pour pas grand chose ! Je viens de tester et ça fonctionne de mon côté. Plutôt que d'essayer de l'installer avec la CmdLet qui va bien tu prends le ZIP avec tout le module sur GitHub et ensuite tu décompresses le tout dans le dossier : C:\Windows\System32\WindowsPowerShell\v1.0\Modules.

    A partir de là, tu pourras voir le module quand tu feras Get-Module -ListAvailable et tu pourras également voir la liste des CmdLet disponibles avec la commande : Get-Command -Module PoshWSUS.

    Attention, il ne s'agit pas d'un module officiel.

    N'hésites pas à nous dire si c'est bon :)


    -- Thibault

    • Proposé comme réponse ThibaultG vendredi 19 juillet 2019 17:01
    jeudi 18 juillet 2019 18:40
  • Bonjour 

    Merci ThibaultG pour votre réponse , sur la commande Get-Module -ListAvailable je vois tjr le module avec comme détails a droite vide comme sur votre Ecran , mais sur la commande  Get-Command -Module PoshWSUS elle me donne rien :( 

    des idées svp  ? 

    Merci encore 


    Partager C'est avancer : Votez!SVP


    • Modifié Nabil-IT jeudi 8 août 2019 12:36
    jeudi 8 août 2019 07:16
  • Bonjour 

    la commande 

    Get-Command -Module PoshWSUS affiche ==> 

    WARNING: Add-PoshWSUSClientToGroup.ps1: File
    C:\Windows\system32\WindowsPowerShell\v1.0\Modules\PoshWSUS\Scripts\Add-PoshWSUSClientToGroup.ps1 cannot be
    loaded because running scripts is disabled on this system. For more information, see about_Execution_Policies
    at http://go.microsoft.com/fwlink/?LinkID=135170.

    Import-Module .\PoshWSUS.psd1 ==> 

    Import-Module : The specified module '.\PoshWSUS.psd1' was not loaded because no valid module file was found in any module directory.
    At line:1 char:1
    + Import-Module .\PoshWSUS.psd1
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : ResourceUnavailable: (.\PoshWSUS.psd1:String) [Import-Module], FileNotFoundException
        + FullyQualifiedErrorId : Modules_ModuleNotFound,Microsoft.PowerShell.Commands.ImportModuleCommand
     


    Partager C'est avancer : Votez!SVP

    jeudi 8 août 2019 13:18
  • A priori, c'est simplement que l'environnement sur lequel tu fais tes tests est configurer pour ne pas autoriser l'exécution du PowerShell. Tu peux tenter dans un premier temps la commande suivante pour l'autoriser : Set-ExecutionPolicy Unrestricted (dans un PowerShell ouvert en Admin). Mais attention, cela doit être temporaire ou alors limité à un environnement de test.

    Ensuite l'autre commande devrait fonctionner.


    -- Thibault

    jeudi 8 août 2019 13:33
  • Voila le retour de la commande apre avoir lancer  Set-ExecutionPolicy Unrestricted ( temporaire ) 

    PS E:\Tools> Get-Command -Module PoshWSUS

    Security warning
    Run only scripts that you trust. While scripts from the internet can be useful, this script can potentially
    harm your computer. If you trust this script, use the Unblock-File cmdlet to allow the script to run without
    this warning message. Do you want to run
    C:\Windows\system32\WindowsPowerShell\v1.0\Modules\PoshWSUS\Scripts\Add-PoshWSUSClientToGroup.ps1?
    [D] Do not run  [R] Run once  [S] Suspend  [?] Help (default is "D"): en cliqua,t sur R il m'affiche le meme message 

    [D] Do not run  [R] Run once  [S] Suspend  [?] Help (default is "D"):


    Partager C'est avancer : Votez!SVP

    jeudi 8 août 2019 13:53
  • Là en gros il te demande si tu es sûr de vouloir autoriser toute exécution de script PowerShell. Donc il faut évidement répondre par l'affirmative. Une fois que tu as fait ça tu devrais pouvoir exécuter la commande initiale Get-Command -Module PoshWSUS - à condition que le module soit bien installé comme je te l'ai indiqué précédemment. 

    -- Thibault

    jeudi 8 août 2019 14:17
  • Bonjour 

    la commande Get-Command -Module PoshWSUS  affiche 

    PS E:\Tools> Get-Command -Module PoshWSUS

    Security warning
    Run only scripts that you trust. While scripts from the internet can be useful, this script can potentially
    harm your computer. If you trust this script, use the Unblock-File cmdlet to allow the script to run without
    this warning message. Do you want to run
    C:\Windows\system32\WindowsPowerShell\v1.0\Modules\PoshWSUS\Scripts\Add-PoshWSUSClientToGroup.ps1?
    [D] Do not run  [R] Run once  [S] Suspend  [?] Help (default is "D"):

    on cliquant sur R PAS DE RETOUR DE COMMANDE , j'ai rien compris :( 

    [D] Do not run  [R] Run once  [S] Suspend  [?] Help (default is "D"): R

    Security warning
    Run only scripts that you trust. While scripts from the internet can be useful, this script can potentially
    harm your computer. If you trust this script, use the Unblock-File cmdlet to allow the script to run without
    this warning message. Do you want to run
    C:\Windows\system32\WindowsPowerShell\v1.0\Modules\PoshWSUS\Scripts\Approve-PoshWSUSUpdate.ps1?
    [D] Do not run  [R] Run once  [S] Suspend  [?] Help (default is "D"):


    Partager C'est avancer : Votez!SVP

    mardi 13 août 2019 07:33